# Reports: getFile

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/reports/getFile#auth).

Downloads a report file encoded in UTF-8.
[Try it now](https://developers.google.com/search-ads/v2/reference/reports/getFile#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclicksearch/v2/reports/reportId/files/reportFragment
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `reportFragment` | `integer` | The index of the report fragment to download. |
| `reportId` | `string` | ID of the report. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.reports.getFile).